== Changelog ==
= 5.7.5 =
Release date: July 21, 2026

* Fix: Resolved a Cross-Site Scripting (XSS) vulnerability on the Restore page.
* Fix: Fixed an incorrect backup aborted notice and a page freeze when using the Backup Now button.
* Fix: Fixed an issue affecting the "Don't show again" admin notice action.

= 5.7.4 =
Release date: July 6, 2026

* New feature: Added a security notice that detects stale restore files and allows them to be deleted with one click.
* Enhancement: Restore working directories are now automatically cleaned up after a successful restore.
* Fix: Fixed inconsistent file counts in interrupted and resumed ZIP backups.
* Fix: Resolved a fatal error caused by outdated `.htaccess` rules on Apache 2.4.

= 5.7.3 =
Release date: June 22, 2026

* Enhancement: Added the backwpup_mcp_server_enabled filter to allow disabling MCP functionality.
* Fix: MCP backup history now reports correct file sizes across all storage destinations.
* Fix: Resolved a WooCommerce compatibility issue that could generate log errors.
* Fix: Resolved PHP 8.1+ compatibility issues affecting MCP operations.

= 5.7.2 =
Release date: June 8, 2026

* Fix: Resolved PHP namespace conflicts in bundled vendor libraries to prevent fatal errors caused by dependency collisions with other plugins for free versions.

= 5.7.0 =
Release date: June 8, 2026

* New feature: Added MCP support, allowing AI assistants to manage backups, run jobs, monitor progress, cancel jobs, and access logs.

= 5.6.11 =
Release date: June 1, 2026

* Fix: Addressed a Block Editor List View issue that caused some block names to appear blank.

= 5.6.10 =
Release date: May 28, 2026

* Enhancement: Aligned backup history timestamps with WordPress timezone.
* Enhancement: Improved FTP and SFTP failure clarity in backup logs.
* Enhancement: Expanded Dropbox error mapping and failure reason coverage.
* Enhancement: Added backup path visibility in logs.
* Enhancement: Expanded Google Drive error mapping and failure reason coverage.
* Enhancement: Added descriptive empty-state text when no backup is available.
* Enhancement: Expanded OneDrive error mapping and failure reason coverage.
* Enhancement: Expanded Microsoft Azure Blob Storage failure scenario coverage.
* Enhancement: Added explicit feedback when authentication credentials are invalid.
* Enhancement: Improved abort flow behavior and user feedback.
* Enhancement: Improved overall UI and accessibility consistency across the plugin.
* Fix: Fixed backup history pagination issues.
* Fix: Prevented fatal TypeError in WXR export on PHP 8.4 with nullable meta values.
* Fix: Fixed backup download behavior on mobile devices.
* Fix: Fixed incomplete cron cleanup when changing or deleting job schedules.
* Fix: Fixed backup creation flow that could stall on large sites.
* Fix: Prevented WP Super Cache from being unnecessarily disabled during backup jobs.

= 5.6.9 =
Release date: April 27, 2026

* Fix: Resolved memory limit errors during some database backups.
* Fix: Prevented restore page from hanging in certain edge cases during archive processing.
* Fix: Corrected failed backup status reporting for SugarSync when quota limits are reached.
* Enhancement: Backup history now includes storage name for failed backups.
* Enhancement: Improved consistency of backup status in logs and history.
* Enhancement: "View log" action is now available for successful backups.
* Enhancement: Improved consistency and alignment of UI elements across the plugin.
* New feature: Added a filter for backup archive types.
* Enhancement: Improved visibility and naming of in-product support tools.

= 5.6.8 =
Release date: April 08, 2026

* Fix: Resolved PHP warnings related to zlib.output_compression after headers were sent.
* Fix: Resolved TypeError in job tracking and improved error handling.
* Fix: Resolved issue where custom job names were overwritten when changing data selection.
* Fix: Resolved incorrect redirect when closing admin dialogs.
* Fix: Resolved PHP 8.4 deprecation warnings for nullable parameters.
* Fix: Improved visibility of checkbox borders in Migration Settings dialog.
* New feature: Added failed backup history tracking.
* Enhancement: File exclusion list is now ordered alphabetically for easier navigation.
* Enhancement: Added confirmation warning when deleting multiple backups.

= 5.6.7 =
Release date: March 25, 2026

* Security fix: Resolved a Local File Inclusion (LFI) vulnerability in the getblock REST endpoint.
* Fix: Backup limit is now properly respected (“Max backups to retain” setting).
* Fix: Backup process no longer continues after a job is aborted.
* Fix: Resolved storage settings panel rendering blank in some cases.
* Fix: Resolved SugarSync backup download failures and related PHP errors.
* Fix: Fixed restore database connection error display.
* Fix: Resolved UI issues during the database restoration step.
* Fix: Fixed authentication and UI inconsistencies for cloud storage providers (HiDrive, Google Drive, OneDrive).
* Fix: Resolved fatal error during Free version installation related to license handling.
* Fix: Removed EasyCron support.
* New feature: Added SFTP as a storage destination.
* Enhancement: Improved restoration performance (extraction and file copy process).
* Enhancement: Improved HiDrive token expiration handling.
* Enhancement: Improved email validation and sender name parsing for job log emails.
* Enhancement: Added “Select All” option for database tables.
* Enhancement: Improved restore page accessibility within the admin menu.

= 5.6.6 =
Release date: March 05, 2026

* Enhancement: Improved WP Audit plugin validation checks.
* Fix: Resolved job options saving issues and UI inconsistencies.
* Fix: Replaced {{%LICENSE_URL%}} in Free version.
* Fix: Fixed blank backup list after bulk deleting all backups from history.
* Security fix: Prevented sensitive license values from being stored in plain text.
* Fix: Gracefully handled disabled putenv() function during backup execution.

= 5.6.5 =
Release date: February 05, 2026

* New Feature: Introduced support tool chatbot for user assistance.

= 5.6.4 =
Release date: January 20, 2026

* Fix: Plugin update mechanism not working properly for Pro version since 5.6.2

= 5.6.3 =
Release date: January 20, 2026

* Fix: Backups stored on Amazon Glacier were not listed correctly.
* Fix: When restoring multiple backups consecutively, the previously selected backup was restored instead of the intended one.
* Fix: No error message was shown when an FTP error occurred during backup or restore.
* Fix: Fatal error occurring on Kinsta-hosted environments.
* Fix: Re-enabled automatic folder protection to prevent backup directories from being publicly accessible.
* Enhancement: Cache is now flushed after database restore to ensure restored data is properly reflected.
* Security: Fixed a security vulnerability (CVE-2025-15041).

= 5.6.2 =
Release date: January 07, 2026

* Fix: Improved validation for the “Max backups to retain” setting to prevent incorrect values.
* Pro enhancement: Improved license management and added an in-plugin notification to alert users about license status changes.

= 5.6.2 =
Release date: January 07, 2026

* Fix: Validation of the “Max backups to retain” field.
* Enhancement(pro): Improved license management and added a banner to notify users.

= 5.6.1 =
Release date: December 11, 2025

* Fix: Legacy backup job links stopped working after upgrading from version 5.6.0.
* Fix: Storage configuration was failing for multiple storage providers (Amazon S3, Amazon Glacier, Azure Storage, Google Cloud Storage, OneDrive, Rackspace).
* Added: Compatibility for legacy backup job link formats to ensure older jobs continue to work without any changes.

= 5.6.0 =
Release date: November 25, 2025

* Enhancement: Introduced WP-CLI support for running backups
* Enhancement: Improved Mixpanel event tracking accuracy
* Added support for triggering backups via link
* Fix: Resolved a compatibility issue with Visual Composer

= 5.5.2 =
Release date: November 03, 2025

* Security fix: Safe handling of job attributes concatenated into HTML attributes on the admin UI
* Enhancement: Compatibility with Kinsta hosting with backup rate limits
* Enhancement: Better handling of missing PHP cURL extension
* Enhancement: Improved upload of large backups on HiDrive
* Enhancement: Facilitated diagnosis for support with dedicated tooling
* Fix: Consistently displaying the "Help Us Improve BackWPup!" notice

= 5.5.1 =
Release date: October 20, 2025

* Security Fix: Missing Authorization to Sensitive Information Exposure
* Fix: HiDrive backup download partially not working.
* Fix: HiDrive backup not working properly due to major storage issue.
* Fix: Compatibility issue with .donotbackup file and open_basedir environments.
* Fix: Minor UX issues when including files in backups.
* Fix: OneDrive allow users to reauthenticate.

= 5.5.0 =
Release date: September 16, 2025

* New Feature: Archive format per backup
* New Feature: Archive name per backup

= 5.4.1 =
Release date: September 2, 2025

* Fix: Additional Guzzle Dependency conflicts causing errors.

= 5.4 =
Release date: August 20, 2025

* New feature: Add extra files or folders for backups
* Fix: Sending unwanted warning email because of .donotbackup file.
* Fix: Showing cursor pointer on non-clickable elements.
* Fix: Backup downloads are not working for FTP storage.
* Fix: Guzzle Dependency conflict causing errors in backups
* Fix: The Encrypt archive option is disabled after the update.
* Fix: The backup now icon is closer to the date of scheduled backups.
* Fix: No backup is created for any storage when OneDrive is selected during onboarding.

= 5.3.2 =
Release date: August 12, 2025

* Bugfix: Log notification emails were not sent for successful backup
* Removed: Remove unused/deprecated codes
* Enhancement: Refactor the plugin admin notice code
* Bugfix: Save button is not clickable on low browsers window height
* Bugfix: Google Drive & OneDrive API fields not fully visible
* Bugfix: Encryption “Save” button not visible below Asymmetric Key
* Bugfix: Decryption key needed for free plugin
* Enhancement: Storage deselect ux issues

= 5.3.1 =
Release date: July 22,2025

* Bugfix: Default archive format resets to Tar format after update to 5.3
* Bugfix: Updating to 5.3 causes Fatal error due to corrupted data
* Bugfix: License activation fails due to service provider issue
* Bugfix: Upload to FTP backup limit issue on 5.3

= 5.3.0 =
Release date: July 14, 2025

* New feature: Backup File & Database together in a single job
* Bugfix: New jobs ignore the global archive format and default to .Tar
* Bugfix: SugarSync error message after authenticating
* Bugfix: Google Drive not working correctly during onboarding
* Enhancement: Show only successful backup entries in the backup history
* Enhancement: Long job title spills outside the pop-up
* Enhancement: Configure backup data settings without selecting it
* Enhancement: Fixed Schedule backup title is too long issue
* Enhancement: Added tooltips for schedule backup icons
* Enhancement: Add new backup UI ux issues
* Enhancement: Improvement of cloud storage code

= 5.2.3 =
Release date: May 22, 2025

* Bugfix: Fixed fatal error when both Free and Pro versions are activated together.

= 5.2.2 =
Release date: May 20, 2025

* New feature: Deselect Website Server as a default storage destination
* Enhancement: Reduce overall plugin size
* Bugfix: Google Drive does not remain selected
* Bugfix: Plugin interface becomes non-functional & not clickable
* Bugfix: Error during backup for Dropbox storage
* Bugfix: Dropbox authentication error

= 5.2.1 =
Release date: April 30, 2025

* Bugfix: Fixed fatal error caused by cal_days_in_month() function on 5.2 for unsupported servers.

= 5.2.0 =
Release date: April 29, 2025

* New feature: Add “Backup Now” button to each scheduled job
* Enhancement: Monthly frequency to allow users to select the exact day
* Enhancement: Show the Toast messages on specific actions instead of every actions

= 5.1.3 =
Release date: April 23,2025

* Added: Filter to show legacy/disabled jobs
* Added: Notice for legacy disabled jobs
* Enhancement: Replaced Files icon (currently WP logo) with a new file icon
* Enhancement: Adding new jobs moves the existing job placement in the interface
* Enhancement: Increased the default timeout for toast messages
* Bugfix: Old jobs auto disabled for users from v5.0.9 & v5.1.0 to v5.1
* Bugfix: Legacy jobs link not triggering the job
* Bugfix: Clicking “Save & Continue” before the page fully loads skips onboarding
* Bugfix: Added WP default admin styles in the Legacy jobs page
* Bugfix: WordPress timezone changes mess up the frequency feature
* Bugfix: The “Backup Now” error when there’s no job available
* Bugfix: Fix a problem with the encryption Save button doing nothing
* Bugfix: Long load time on clicking Data after adding File job exclusion
* Bugfix: Backup job pencil icon grows smaller with long titles
* Bugfix: Conflict with MainWP child plugin

= 5.1.2 =
Release date: April 15,2025

* Enhancement: Display the warning message for customers affected by the bug in 5.1 version of the plugin

= 5.1.1 =
Release date: April 11,2025

* Fixed: Backups created before v5 are no longer deactivated when updating the plugin.

= 5.1.0 =
Release date: April 07,2025

* New feature: Introduce possibility to add more than two backup jobs
* New feature: Add possibility to set a title for each job
* Enhancement: Rework of the 'Backup Now' feature
* Enhancemnet: Make 'Local Storage' more descriptive
* Enhancement: Rework of the notices inside the plugin
* Enhancement: Introduce cache busting strategy for static assets inside the plugin
* Enhancement: Make sure not to display the non-existing buckets inside the Amazon S3 storage panel
* Enhancement: Update the phrasing for the restore process page to make it easier to understand
* Bugfix: Fix Dropbox authentication bug
* Bugfix: Fix a problem when excluded files were still included in the backup
* Bugfix: Fix a problem with 'FTP passive mode'

= 5.0.9 =
Release date: March 21, 2025

* Fixed: Huge package size
* Fixed: Files and DB jobs are not separated in certain scenario

= 5.0.8 =
Release date: March 20, 2025

* New Feature: Allow to choose storage for specific backup job
* Enhancement: Security enhancements related to unserialize function
* Enhancement: Remove unnecessary strings in the scheduled backup jobs blocks
* Enhancement: Improve welcome banner's UI
* Bugfix: Make sure not to display backups which were removed using UI in the backup history list

= 5.0.7 =
Release date: March 13, 2025

* Added: Hourly frequency for backups
* Added: WPM Apply filters library for better code maintainability
* Fixed: PHP Warning & auto reset advanced settings issue
* Fixed: Closing banner cancels the onboarding issue
* Fixed: Correct the title of Next Schedule Backup
* Changed: Onboarding backup success page notice & redirection
* Changed: "Restore Full Backup" string to "Restore Backup"

= 5.0.6 =
Release date: March 10, 2025

* Fixed: Archive file format Tar generation code to handle long file names
* Fixed: Clicking on actions should close other opened sections in Backup History

= 5.0.5 =
Release date: March 03, 2025

* Added: Dropdown to allow users to select the Backup file format (zip, tar, tar.gz)
* Added: Show different in-app notices to new & existing users
* Fixed: BackWPUp Menu Visible to All User Roles, Including Subscribers
* Fixed: Database & File backup does not remain selected, automatically becomes off

= 5.0.4 =
Release date: feb 13, 2025

* Fixed: Layout issue with theme customizer
* Fixed: API error when the number of backups is equal to 0
* Fixed: Php 8.x deprecated notices
* Removed : "Add new" job button from Job listing
* Fixed: Tooltip text cut off
* Removed: Hover style on disabled elements
* Added: Hover tooltip on storage icons

= 5.0.3 =
Release date: feb 07, 2025

* Fixed: Backup is running constantly & can’t be stopped.
* Fixed: Authentication issue for Dropbox, FTP & Azure.
* Added: Custom scheduling option.
* Added: Display history of all backups.
* Added: Custom filter to allow zip and tar.gz compression
* Changed: Changed plugin noticed Message.

= 5.0.2 =
Release date: feb 04,2025

* Fixed : Error due to unrecognized cron expression

= 5.0.1 =
Release date: feb 04, 2025

* Fixed : Css issues with the new UI

= 5.0.0 =
Release date: feb 04, 2025

* Changed : Redesigned the plugin backend for a more intuitive user experience

= 4.1.8 =
Release date: dec 18, 2024

* Fixed : One drive is not configured properly message

= 4.1.7 =
Release date: nov 25, 2024

* Changed : Update dependencies :
    ** guzzlehttp/guzzle to 7.0
    ** onedrive-php-sdk to 3.2.0
    ** microsoft-graph to 1.7.0

= 4.1.6 =
Release date: oct 15, 2024

* Changed : Show the Restore feature information notice only for free version users
* Changed : The default format is now .tar
* Fixed : Warnings on the backup script on PHP 8.x when tar format is used


= 4.1.5 =
Release date: sept 27, 2024

* Added : Restore feature information notice
* Changed : Upgraded Wordpress minimum version to 4.9
* Removed : Remove the EasyCron integration and switch it with WPCron.
* Removed : Remove Database Backup file name & compression options from the UI can be edited via filter (backwpup_generate_dump_filename)
* Fixed : Conflict with WP Hotel Booking from ThimPress
* Changed : Add the default exclude files in a filter. (backwpup_file_exclude)
* Fixed : Use wp translation


= 4.1.4 =
Release date: jul 22, 2024

* Ehanced: Store the review notice dismiss as an option
* Fixed: Hide the evaluate notice using css
* Removed: Remove the "Compression" option in Settings > Logs
    ** Disabled by default, can be enabled with a filter (backwpup_gz_logs)
* Fixed: Check if the third parties constants are defined before using them


= 4.1.3 =
Release date: Jul 05, 2024

* Changed: Upgraded minimum version to PHP 7.4
* Fixed: Evaluate notice doesn't dismiss
* Removed: General tab on settings page
    ** Admin bar: enabled by default, can be disabled with a filter (backwpup_is_in_admin_bar)
    ** Folder sizes: disabled by default, can be enabled with a filter (backwpup_show_folder_size)
    ** Protect folders: we protect your folders by default can be disabled with a filter (backwpup_protect_folders)
    ** Plugin data: we delete all plugin data after its delation by default
* Fixed: Fix S3 uploads over 5 Gb

= 4.1.2 =
Release date: Jun 27, 2024

* Fixed: Open_basedir restriction on some servers
* Added: Notice to ask users their experience with BackWpUp

= 4.1.1 =
Release date: Jun 18, 2024

* Changed: AutoExclude the cache plugin folders from the backup
* Fixed: Problems with the sql dump of the database
* Fixed: Update phpseclib library to fix issues in Windows environment.

= 4.1.0 =
Release date: Jun 4, 2024

* Changed: Add Restore to the free version
* Fixed: Improved checking of encrypted archives
* Added (pro): decryption and encryption with WP-CLI of archives
* Fixed (pro): Problems with Asymmetric encryption on restarts

= 4.0.5 =
Release date: May 21, 2024

* Fixed (pro): Gdrive oAuth authentication flow

= 4.0.4 =
Release date: March 12, 2024

* Fixed: Changed directory structure of BackWPup temporary files to prevent unauthorized access of database backup.

= 4.0.3 =
Release date: February 22, 2024

* Fixed: Security issue where FTP passwords were stored in the database in plaintext.

= 4.0.2 =
Release date: November 22, 2023

* Fixed: Disallow backups or logs directories from being outside of wp-content directory for security purposes

= 4.0.1 =
Release date: October 18, 2023

* Changed (pro): Clarified instructions in the "Path to mysqldump file" field
* Changed: Upgraded minimum version to PHP 7.2.5
* Fixed (pro): Restoring a compressed database backup resulted in a "Could not get size of SQL file" error
* Fixed (pro): 500 error in Restore app, due to missing dependencies
* Fixed (pro): Escaped previously unescaped SQL query
* Fixed (pro): Security issue regarding location of restore files
* Fixed (pro): PHP warning when configuring a wizard with the glacier destination
* Fixed: Missing nonce validation on certain AJAX endpoints
* Fixed: Escaping for values on log output
* Fixed: Escaping of sendmail command
* Fixed: Corrected an invalid URL in the documentation link found in the plugin overview
* Fixed: Various deprecation notices on PHP 8.0+
* Fixed: Issue where webp thumbnail images were not excluded despite enabling the "Don't backup thumbnails from the site's uploads folder" option
* Fixed: Ensure validation of logfile parameter during job run

= 4.0.0 =
Release Date: November 16, 2022

* Added: Support for additional S3 storage classes
* Added: Support for Glacier Instant Retrieval
* Added: Created backwpup_ftp_use_passive_address filter for when FTP is behind NAT
* Added: Support for object lock in S3 by adding Content-MD5 header
* Added (pro): Include unique IV when encrypting archives
* Added (pro): Default character set fetched from alternative database credentials
* Changed: Upgraded minimum version to PHP 7.2
* Changed (pro): Upgraded Google Drive SDK to V3
* Fixed: Better support for PHP 8
* Fixed: PHP warning when backing up to S3 destination
* Fixed: Unable to download from S3 when using predefined region
* Fixed: Unable to download from SugarSync
* Fixed: Backups downloaded twice from MS Azure
* Fixed: wp-config.php backed up twice when parent folder is included in backup
* Fixed: Text fields too long on SugarSync destination settings
* Fixed: Dropbox runs out of memory when more than 50 files in folder
* Fixed (pro): Authentication of OneDrive when HTTP_REFERER not set.
* Fixed (pro): Displayed creation date of OneDrive backups was incorrect
* Fixed (pro): Disabled mysqldump radio button when binary cannot be found
* Fixed (pro): HiDrive does not detect when refresh token expires
* Removed: Unnecessary AWS and Google library files to save on package size.

= Version 3.10.0 =
Release Date: September 1, 2021

* Added: Support for Dropbox short-lived access tokens
* Fixed (pro): Prevent out of memory error on HiDrive backups
* Fixed (pro): Small files uploaded twice to HiDrive
* Fixed (pro): Fatal error on plugin update if $transient is null
* Fixed (pro): Restore of stored functions, procedures, and triggers
* Fixed: Export of stored functions, procedures, and triggers including delimiters
* Fixed: Support emojis and other 4-byte characters in database dump
* Fixed: PHP 8 deprecation notice in XML export

= Version 3.9.0 =
Release Date: June 14, 2021

* Added (pro): Migrate website to another URL
* Added (pro): Validation for database credentials on restore
* Added: PHP notice for outdated PHP versions less than 7.2
* Fixed (pro): License deactivated on settings save
* Fixed (pro): Corrupted path name in Google Drive destination
* Fixed (pro): Unable to download backup from Google Drive
* Fixed: Unable to connect to custom S3 endpoints
* Fixed: Intermittent error selecting restore strategy
* Fixed: Memory leaks when uploading to S3
* Fixed: PHP 7.4 Deprecation notices
* Fixed: PHP 8 compatibility issues
* Fixed: Remove BackWPup user roles on uninstall in multisite
* Fixed: Correctly handle relative upload paths
* Fixed: Display welcome page even after consent dialog clicked
* Fixed: Exclude non backup files from the backups page
* Fixed: Format dates as ISO-formatted dates instead of binary hex in MySQL backup
* Fixed: Don't pre-fill database credentials when backing up non-WordPress database
* Fixed: Description of replacement patterns for archive name
* Fixed: Added missing destinations to destination list in about page
* Fixed: Made BackWPup banner local
* Removed: Phone home client
* Removed: Remote admin notices

= Version 3.8.0 =
Release Date: September 21, 2020

* Added: OneDrive destination for Pro version
* Added: HiDrive destination for Pro version
* Added: WordPress 5.5 compatibility
* Added: PHP 7.4 compatibility
* Added: Option to keep BackWPUp data after plugin uninstall
* Added: More default excluded folders and files for BackWPUp
* Fixed: Custom S3 destination return error after Amazon library update
* Fixed: PHP Notice: Undefined index: dbdumpdbcharset
* Fixed: Cannot use variables for the xml file name
* Fixed: Deprecated: Non-static method BackWPup_Admin::admin_css() should not be called statically
* Fixed: Prevent click on overlay disable backup download process
* Fixed: BackWPUp redirects even in the CLI environment

= Version 3.7.1 =
Release Date: March 30, 2020

* Fixed: Error Notices CSS is loaded on all pages and overwrite the color of other plugins notices
* Updated: (Pro) License system update for premium version

= Version 3.7.0 =
Release Date: Nov 27, 2019

* Updated: Raise the minimum PHP version required by BWU to 5.6
* Updated: Microsoft Azure Storage Blob PHP Client Library
* Fixed: S3 custom url not used for bucket selection
* Fixed: S3 malformed error message when authentication credentials are wrong
* Fixed: S3 selecting an invalid service raise no error
* Fixed: Rackspace uses old cacert.pem file
* Fixed: Log page not correcty sorted
* Added: Option to enable or disable the phone home client

= Version 3.6.10 =
Release Date: Jul 8, 2019

* Fixed: Azure Supports https on uploading
* Fixed: Auto remove old backup files not working when archive file name have prefix "backwpup"
* Added: Filter to extend list of S3 destinations
* Removed: S3 multipart upload checkbox, now in destination definition
* Updated: Amazon AWS SDK for S3 services, now PHP 5.5+ is needed
* Added: Filter to extend list of Glacier destinations (Pro version)
* Updated: Amazon AWS SDK for Glacier, now PHP 5.5+ is needed (Pro version)

= Version 3.6.9 =
Release Date: May 7, 2019

* Fixed: Google Drive destination automatically remove old backup files
* Fixed: Do not expose destination data within the manifest file
* Fixed: Update Dropbox Tokens
* Fixed: Restore error: MIME returns html instead of event stream
* Fixed: Log files name are predictable because of weak hash
* Fixed: ZipArchive doesn't fallback to PclZip in Restore
* Fixed: Session already started could cause issues during ajax calls
* Fixed: Wrong vendor include path for PEAR using MS Azure
* Fixed: Decryption Key prompt when any error occur during the first step of a Restore
* Fixed: Phone home client notice and php 5 issue with php short echo tag
* Fixed: mime_content_type function may not exists prevent backup decryption
* Improve: Restore Log and produce report for user feedback
* Changed: License changed to GPLv2+

= Version 3.6.8 =
Release Date: Feb 25, 2019

* Fixed: Typos in settings job page
* Fixed: Rest API admin note language doesn't change when changing user language

= Version 3.6.7 =
Release Date: Jan 22, 2019

* Fixed: More margin to dashboard footer to avoid save button unclickable
* Fixed: On folder sync destination folder is not created
* Fixed: Encryption option should not be displayed for syncing job
* Fixed: Restore stuck on file restore step because of file permission issue
* Fixed: "Do not delete files while syncing to destination!" not working
* Tweak: Increase PHP Version from 5.3.2 to 5.3.3
* Tweak: Encryption Settings description and ui improvements
* Tweak: On restore error, include `restore.dat` file along with the log when user download the restore log file
* Tweak: Lock server to execute same task multiple time when one is already in progress

= Version 3.6.6 =
Release Date: Nov 28, 2018

* Fixed: Files could be excluded from the backup because of incorrect string comparison

= Version 3.6.5 =
Release Date: Nov 23, 2018

* Fixed: Admin notice won’t update correctly

= Version 3.6.4 =
Release Date: Nov 22, 2018

* Fixed: Encrypted backup must force users to download the encryption keys
* Fixed: Warning mime type when a backup is going to be downloaded
* Fixed: Admin Notice in free version is sometimes empty
* Fixed: Random restore error about SQL syntax when restoring a database
* Fixed: Exclude restore directories to be copied during a restore phase
* Fixed: Standalone App has no encryption support
* Fixed: Open basedir, backup dir is not within the allowed path
* Fixed: Unable to download backup file because of mime_content_type function missing in some environment
* Tweak: Encryption Settings UI
* Tweak: Minor translations issues
* Tweak: Remove languages files from the free version, the plugin will use translation.wordpress.org

= Version 3.6.3 =
Release Date: Nov 5, 2018

* Fixed: "Failed to restore file": file restore progress stop working and jump directly to database restore step
* Fixed: Restore progress stuck on "restoring database" with archive backup contains files only
* Fixed: All config.php files are not in backup archive

= Version 3.6.2 =
Release Date: Oct 17, 2018

* Fixed: Not recognized file extensions get an additional underscore in the file name in zip file
* Fixed: Backup archive file have dot folder contains all web root files
* Fixed: Ftp destination downloader repetitively open a new handler for the source file causing corrupted backup

= Version 3.6.1 =
Release Date: Sep 25, 2018

* Fixed: Backup doesn't handle special characters correctly
* Fixed: Use of function that doesn't exists prior to 4.9
* Fixed: Class bryter/helpers/csrf/CSRF.php was not loaded
* Fixed: Backup don't override old database file in web root
* Fixed: Restore Folder backup won't download the backup file
* Fixed: Function `owns_backup_archive` not exists, the one is `is_backup_archive`
* Fixed: Some settings page and license api manager strings are missing translation
* Fixed: Incompatibility with php 5.3 in destination folder downloader
* Fixed: fatal error on Amazon Glacier because of an undefined function
* Fixed: Ensure extra files are not overwritten
* Fixed: Cannot delete woocommerce_downloadable_product_permissions table
* Fixed: Incompatibility with php 5.3 in the restore process

= Version 3.6.0 =
Release Date: June 14, 2018

* Added: Pro Feature - Encrypt before sending backups to the cloud
* Fixed: Handling of special Amazon S3 regions such as Google Storage
* Fixed: Downloading of large files encountered PHP memory error
* Improved: Delete pro-only scss files in free version
* Fixed: Version constraints of composer dependencies
* Fixed: Localized strings from restore
* Fixed: Deleting FTP backup resulted in error
* Fixed: openssl_encrypt compatibility with PHP 5.3

= Version 3.5.1 =
Release Date: May 23, 2018

* Fixed: call to a member function close() on null
* Fixed: Cannot use object of type WP_Error as array
* Fixed: Can't use function return value in write context
* Fixed: Compatibility with PHP 5.3
* Fixed: Decreased size of plugin by purging unneeded files

= Version 3.5.0 =
Release Date: May 16, 2018

* Added: Restore for pro version
* Fixed: stylesheet was being included on frontend

= Version 3.4.5 =
* Added: Support for PclZip.
* Fixed: Disable use of mysqldump if it is not available.
* Fixed: Invalid argument supplied for foreach() error.

= Version 3.4.4 =
* Fixed: Security issue that created too many sessions.
* Fixed: Correct decryption of passwords when escaped.

= Version 3.4.3 =
* Fixed: No longer show hashes on job edit page.
* Fixed: Compatibility with Sunrise.
* Fixed: Delete old-style archive names.
* Improved: Changed the way hashes are generated.
* Added: Support for EU (London) S3 region.
* Added: Support for Amazon S3 signature V4.

= Version 3.4.2 =
* Fixed: Security issue to prevent backups from being seen by others.
* Fixed: Only one admin notice shown at a time.
* Improved: Better support for large XML files.
* Fixed: Remove user roles on uninstall.
* Fixed: S3 parse URL issue
* Fixed: open_basedir warning from looking for mysqldump
* Fixed: Dropbox sync fails because of case sensitivity
* Fixed: Dropbox sync sometimes deletes synced files
* Fixed: Dropbox fails when user uses proxy
* Improved: German formal and chinese translation for PRO

= Version 3.4.1 =
* Check if file is dot to prevent open_basedir warning.
* Only display Dropbox upload progress in debug mode.
* Fix PHP notice when running job via WP CLI.
* Fix the way Dropbox API wrapper handles errors.
* Only encode DB values to hex when binary flag is set.
* Fix handling of storing backups in root Dropbox dir.
* Allow symbolic links to be excluded.
* If archive name is not valid format, will still recognize and delete old files.
* Allow user to copy debug info for support.
* Do not display notices for pro users.
* Add support form for pro users.
* Add Rate Us admin notice.
* Support empty folder name when syncing to Dropbox.
* Allow folders under wp-content to be excluded.

= Version 3.4.0 =
* Changed: Dropped support for PHP 5.2.
* Improved: Migrated to Dropbox API V2.
* Changed: Removed Adminer link from backend.
* Added: Backup file tracking so backups from other jobs aren't accidentally deleted.
* Fixed: Call to get_users was previously incorrect.
* Added: Ability to have backup file sent to multiple email addresses.
* Added: Web.config is now included in list of special files to back up.
* Fixed: error for some users when generating XML export.
* Fixed: opendir permission denied warning on some versions of IIS.
* Improved: accuracy of binary column export.

= Version 3.3.7 =
* Fixed: Services credentials lost after 3.3.6 update
* Fixed: Removed all instances of PHP short echo tags and other minor PHP 5.2 compatibility issues
* Improved: Dashboard widget only shown to user who has 'backwpup' capability and can be hidden defining INPSYDE_DASHBOARD_WIDGET constant
* Changed: German translation of job announcement in dashboard widget is now gender neutral
* Added: Italian translation for the plugin
* Added: Message in BackWPup dashboard to ask users to join as BackWPup beta testers
* PRO: Fixed: Removed duplicate file in Google vendor folder

= Version 3.3.6 =
* Improved: Compatibility with PHP 7 and PHP 7.1
* Improved: Encryption (use Open SSL when available, mcrypt as fallback for PHP 5.2 users)
* Improved: check for mod_authz_core.c module in .htaccess file
* Added: Deprecation notice for PHP 5.2 users
* Added: Translation for formal german
* Added: Ask for consent on phone home anonymously PHP & WP Version
* Added: Dashboard widget to recruit new Inpsyders
* Updated: Translation for german
* PRO: Fixed issue with wrong redirect during Google Drive authorization

= Version 3.3.5 =
* PRO: fixed gdrive Could not create resumable file transfer

= Version 3.3.4 =
* Fixed: Database gone away messages
* Fixed: restarts in cli mode
* Added: AWS S3 Region Asia Pacific (Mumbai)
* PRO: fix false email sender address in job creation wizard
* PRO: fix gdrive ssl problem on uploads

= Version 3.3.3 =
* Removed admin notices

= Version 3.3.2 =
* Notice: For MSAzure requires PHP 5.5 in next BackWPup Version
* Changed: Colors of Warning and Error messages
* Changed: Display Blog url in log again
* Changed: Dreamhost url in S3 destination
* Changed: Adminbar menu disabled by default
* Removed: Adminbar plugin name for smaller size
* Improved: Signal handling more again
* Fixed: English log with WP 4.6

= Version 3.3.1 =
* Fixed: Security exploit in getting working data
* Fixed: Bug in log mail sending
* Improved: Signal handling again
* Improved: Restarts on getting folder list
* Improved: Text Color in log files
* Changed: URLs to MarketPress and Documentation
* Changed: Save file list cache for one year
* Changed: Use WordPress ca-bundle.crt
* Removed: Server callback check on job start now it is only in Settings > Tab: Information

= Version 3.3 =
* Improved: Texts removed or rewritten
* Improved: Security
* Improved: Response test
* Changed: Response test to work more as before
* Changed: Remove user roles on deactivation not on uninstall
* Removed: PCLZip selection setting
* Removed: Help tooltips now uses the WordPress way
* Removed: Old AWS SDK for using backups to S3 with PHP Version lower than 5.3
* Updated: AWS SDK to Version 2.8.28
* Updated: MSAZURE SDK to Version 0.4.1
* Updated: RSC SDK to Version 1.12.2
* Updated: SwiftMailer to Version 5.2.2
* Pro Updated: Google SDK to Version 1.1.7
* Pro Fixed: Glacier will be only display 10 Vaults

= Version 3.2.5 =
* Fixed: two stored XSS issues

= Version 3.2.4 =
* Added: Backup database triggers
* Fixed: Charset issues on file names in archives
* Improved: checking on response test
* Changed: Dropbox API URLs

= Version 3.2.3 =
* Added: AWS Region Asien-Pazifik (Seoul)
* Improved: open basedir checking
* Changed: Minimum WordPress version is now 3.8
* Fixed: get_site_option() deprecated cache parameter in WordPress 4.4
* Fixed: displaying of inactive on scheduled jobs
* Fixed: saving of adding extra user role
* Removed: Handling of signal SIGPROF
* Removed: Extra role column on user list

= Version 3.2.2 =
* Fixed: Setting of S3 storage class STANDARD | STANDARD_IA | REDUCED_REDUNDANCY
* Fixed: Potential security problems on log view and file download

= Version 3.2.1 =
* Fixed: open basedir check
* Fixed: Change Zip creation back to use lower resources
* Fixed: Deletion of backup files on Dropbrox not refreshes
* Fixed: Delete 'doing_cron' transient before job starts
* Added: Support for new Amazon S3 storage type 'Standard-Infrequent Access'
* Added: Support for MYSQL_CLIENT_FLAGS
* Updated: AWS SDK to Version 2.8.21 (PHP 5.3.3+)
* Removed: SIGCONT,SIGCHLD,SIGALRM form signal handler
* Free Removed: Bundled translations. Will be now come from https://translate.wordpress.org/projects/wp-plugins/backwpup
* Pro Updated: Google SDK to Version 1.1.4

= Version 3.2.0 =
* Fixed: Sugarsync SSL message
* Fixed: Job hang in some configurations
* Fixed: RSS Feed in Dashboard
* Added: EasyCron API to schedule job starts
* Added: Message if job has not configured destinations
* Added: Setting for log level and minimize log for normal output
* Added: Email logfile to more than one receiver
* Added: Creation of web.config for IIS Webserver
* Added: Allow relative path to WP_CONTENT_DIR for logs and backups
* Added: Prefer plugin translation loading from WP_LANG_DIR
* Added: Option to move WordPress installation folder one folder up
* Added: Ordering options for jobs page
* Added: Added Google storage Bucket regions
* Improved: Archive size check depends on PHP_INT_MAX
* Improved: Excessive transient writes with job start urls
* Improved: Authorisation settings for wp-cron.php
* Improved: Folder checking with open basedir check
* Improved: WP-CLI outputs
* Improved: Role management. Administrators always have BackWPup capabilities
* Improved: Unix Signals handling to caching more
* Improved: fcgi handling to prevent signal 15 errors (thanks to siteground.com)
* Updated: AWS SDK to Version 2.7.7 (PHP 5.3.3+)
* Updated: MSAZURE SDK to Version 0.4.0-dev
* Updated: Translations from http://translate.marketpress.com/
* Removed: Server script file generation, please use WP-CLI
* Fixed: Notice if BuddyPress is active
* Fixed: VIEW generation on Database backups
* PRO Fixed: Authentication for GDrive
* PRO Fixed: Synchronisation with GDrive

= Version 3.1.4 =
* Fixed: removing of % from filename
* Fixed: Notice in combination with bbPress
* Fixed: Zip Archive "Entry has been deleted" messages
* Improved: WP-CLI output a bit

= Version 3.1.3 =
* Fixed: var_export not working if output buffering active
* Fixed: bug in sending test emails on Backup with email
* Fixed: backup archives not deleted if archive name has spaces
* Fixed: bug in tar file name length detecting
* Fixed: bug in not displaying abort message
* Fixed: abort of S3 uploads from other running backups
* Changed: Maximum backup archive size is now 2GB (some filesystems do not support larger files, split the job if you need more)
* Changed: WordPress Export will now done by a own class
* Changed: Dropbox now uses oAuth 2 Protocol
* Changed: Dropbox change to TLS Protocol
* Changed: Logs have now a br tag on line end for better reading in emails
* Improved: Dropbox chipper list not on NSS cUrl backend
* Improved: Increased performance on Zip File generation massively
* Improved: Backup archives now deleted to if the archive format changed
* Improved: Archive tarring and its compression
* Improved: Loading of Swift Mailer
* Added: GreenQloud to S3 services
* Added: Amazon Germany region to S3 and Glacier services
* Removed: Hosteurope from S3 services (terminated to end of 2014)
* Updated: SwiftMailer to Version 5.2.0
* Updated: AWS SDK to Version 2.7.3 (PHP 5.3.3+)
* Updated: RSC SDK to Version 1.9.2
* Updated: MSAZURE SDK to Version 0.4.0
* Updated: PEAR packeges for MSAZURE
* PRO: Added: Option to use database backup with mysqli/mysqldump (not longer automatic)
* PRO: Added: Option in GDrive destination to delete files permanently
* PRO: Updated: Google SDK to 1.1.1

= Version 3.1.2 =
* Added: .donotbackup file. Folders and sub folders containing this file in will not be included in backups.
* Fixed: New multisite installs did not save jobs.
* Fixed: New multisite installs did not save installed version.
* Fixed: Fatal error when attempting to clean up inactive jobs from cron
* Fixed: Exclude uploads not working
* Fixed: Message "file not readable" of an excluded folder
* Fixed: WP-CLI deprecated and unknown parameter message
* Fixed: Bugs in pagination on logs and backups page
* Removed: Banner from plugins page
* Improved: Memory usage during XML export
* Improved: Mime type detection
* Improved: Dropbox SSL handling
* Improved: Certificate bundle file can now be filtered
* Improved: Auto-loading vendor classes
* Improved: Performance when saving other database tables than MyISAM
* Updated: AWS SDK to Version 2.5.2 (PHP 5.3.3+)
* Updated: RSC SDK to Version 1.9.1
* Updated: Guzzle SDK to Version 3.8.1
* Added: S3 Service: Amazon China (Beijing) region
* Added: Rackspace: Hong Kong (HKG) region
* PRO: Fixed: Duplicating synced files on S3
* PRO: Update: Google SDK to 0.6.7
* PRO: Added: Amazon Glacier China (Beijing) region

= Version 3.1.1 =
* Fixed: Plugins will not backup
* Improved: Dropped quota check for Dropbox. Will cancel upload only when Dropbox API sends error 507.
* Improved: Remove special chars from file names in archives
* Improved: Handling off restarts on archive creation

= Version 3.1 =
* Fixed: Message about aborted step did not display correctly
* Fixed: Incorrect rescheduling of jobs
* Improved: Overall performance while generating backup archives
* Improved: Uploads of backup archives to FTP/S3/Dropbox/Azure/GDrive can be continued
* Improved: Script re-starts based upon time while generating archives and uploading
* Improved: Reduced risk of running scripts being stopped via external processes in fcgi mode
* Improved: Backup destinations and their dependencies only being loaded when needed
* Improved: Required dependencies for destinations being displayed now
* Improved: Displaying of error messages as error messages (red, not yellow)
* Improved: Reduced size of vendor/SDK directory by 50%
* Improved: Regex for BackWPup archive file detection
* Improved: Symlink handling for file backup on WordPress folders
* Improved: Use icon font for menu, adminbar and on other places
* Improved: Responsive for WordPress 3.8
* Updated: AWS SDK to Version 2.4.11 (PHP 5.3.3+)
* Updated: RSC SDK to Version 1.7.3
* Updated: SwiftMailer to Version 5.0.1
* Removed: DB Optimization, because locking of tables that can make the site not accessible
* PRO: Wizards using a separate session handling now
* PRO: Hash that BackWPup uses is changeable
* PRO: Added Google Drive Support
* PRO: Added Amazon Glacier Support

= Version 3.0.13 =
* Improved: Redirect when accessing the WordPress backend
* Added: Debug Informations to Logfile
* Added Sydney region for rackspace cloud
* Added London region for rackspace cloud
* Fixed: Cross-site scripting issue. Thanks to High-Tech Bridge for helping us: https://www.htbridge.com/advisory/HTB23161
* Fixed: Fatal error when uninstalling on WordPress 3.4.2 and older

= Version 3.0.12 =
* Fixed: Redirect when accessing the WordPress backend
* Added: Russian translation
* Added: Simplified chinese translation
* Fixed: German log string typo

= Version 3.0.11 =
* Improved: About page will only be shown after install
* Updated: AWS SDK to Version 2.3.1 (PHP 5.3.3+)
* Fixed: some notices and warnings
* Fixed: Change of BackWPup role for other users
* Added: Message for Pro version to support plugin

= Version 3.0.10 =
* Fixed only Version on WordPress.org because of SVN upload problems with Symfony folder from AWS

= Version 3.0.9 =
* Fixed: Fixed bug in Dropbox temp file fallback
* Fixed: Not working if WP-Cron Control active
* PRO Fixed: Synchronisation of files to Dropbox
* PRO Changed: About page only displays on new installation not on updates
* Added: Sending auth cookie for self requests
* Added: Displaying off last error or waring in execution screen
* Added: Job end message depending on error's or waring's
* Added: Setting of BackWPup role in the user settings
* Improved: Wait time after job start
* Improved: Rights management to work better with Role management Plugins
* Changed: Sessions now only used for wizards in pro version
* Removed: Maintenance Mode support, because to many problems and not really needed
* Updated: RSC SDK to Version 1.5.4
* Updated: AWS SDK to Version 1.6.2
* Updated: AWS SDK to Version 2.3.0 (PHP 5.3.3+)

= Version 3.0.8 =
* Fixed: Selected database tables not save on tab change
* Fixed: Database tables selection on new job
* Fixed: adding empty folder names tow archive
* Improved/Fixed: Dropbox Authentication

= Version 3.0.7 =
* Improved: All job requests will done over wp-cron.php now
* Improved: Ajax calls if blog in maintenance mode
* Improved: Getting of DB_CHARSET
* Improved: FTP file deletion
* Improved: Dropbox authentication (If restrict to job settings page not work you can open the settings page manually again to authenticate)
* Fixed: No maintenance mode, if a maintenance mode already active
* Fixed: Archive file deletion
* Updated: AWS SDK to Version 2.2.1 (PHP 5.3.3+)

= Version 3.0.6 =
* Fixed: Massages on empty DB prefix
* Fixed: Bug in cron calculation
* Improved: Dropbox upload so that it can continuing on next try

= Version 3.0.5 =
* Changed: Display only normal messages on progress bars
* Changed: Detection of multisite blog upload folder
* Changed: Backups list for destination file will not cached.
* Changed: Reduced files of AWS SDK to the only needed.
* Fixed: Side load braking if no folder permissions
* Fixed: Multiple backups deletion on backups page not working
* Fixed: DB optimize and check not only use WP tables if selected
* Fixed: File deletion on Dropbox if folder name has a space
* Fixed: False scheduling time in some timezones
* Removed: Option for excluding file, cache, temp folders. Can done with file/folder exclusion too.
* Added: Option to restart the job on archive creation if a size of files reached
* Added: Option to set Zip method (PclZip or ZipArchive)
* Improved: Performance if PclZip used.
* Updated: AWS SDK to Version 1.6.1
* Updated: AWS SDK to Version 2.2.0 (PHP 5.3.3+)

= Version 3.0.4 =
* Changed: default settings for 'Restart on every main step' and 'Reduce server load' to disabled
* Fixed: Settings not correctly set to default
* Fixed: mysqli::get_charset() undefined method
* Fixed: Settings not saved correctly
* Fixed: Abort on MySQL Functions Backup
* Improved: MySQLi connection
* Added: Server connection test on run now.
* Added: S3 AWS SDK 1.6.0 for PHP lower than 5.3.3

= Version 3.0.3 =
* Improved: Archive creation performance
* Fixed: Problem with S3 Prefix
* Fixed: warnings on excluded folders
* Fixed: message from putenv
* Fixed: not working downloads
* Changed: removed fancybox and uses thickbox because plugin compatibility
* Added: folder checking on run now

= Version 3.0.2 =
* Fixed: Warnings on job edit tab files
* Fixed: folder name on temp cleanup in cron
* Fixed: Setting charset on sql backup
* Fixed: DB Connection on database backup if hostname has a port
* Fixed: Call undefined function apc_clear_cache()
* Fixed: wp-content selected folders not excluded
* Added: Deactivation off multi part upload for S3 Services
* Added: fallback for mysql_ping()
* Added: Options for email senders name
* Changed: 5 minutes cron steps back
* Removed: Flashing admin bar icon
* Updated: OpenCloud API to Version 1.4.1

= Version 3.0 =
* Added: Jobs can now be started with an external link or per command line
* Added: Backups can now be compressed with gz or bzip2
* Added: All file names can now be adjusted
* Added: MySQL dump supports now views
* Added: Settings for access control per capability and role
* Added: Save a list of installed Plugins
* Added: Support for WP-CLI
* Improved: Job edit page with tabs
* Improved: Settings page with tabs
* Improved: Database dump now uses mysqli PHP extension for better performance
* Improved: ZIP archives are now created with PHP Zip if available
* Improved: All passwords are now stored encrypted in database
* Improved: wp-cron job start mechanism
* Improved: Job start mechanism not longer uses URL in plugin directory
* Improved: Use `temp` directory in uploads or set it with `WP_TEMP_DIR`
* Changed: Mailing backup archives now with SwiftMailer
* Changed: Job process now back in the WordPress environment
* Changed: License changed to GPLv3
* Changed: Rewrote almost the complete code base to use classes with auto-loading
* Changed: Logs are now displayed with fancybox
* Updated: AWS SDK v2.1.2 (PHP 5.3.3)
* Updated: OpenCloud SDK to v1.3 (PHP 5.3)
* Updated: Windows Azure SDK v0.3.1_2011-08 (PHP 5.3.2)
* Removed: serialized job export
* Removed: tools section - not needed anymore
* Removed: Dashboard widgets are now on the BackWPup plugin dashboard
* Fixed: many, many minor bugs

= Version 3.0 Pro =

* Wizards
* Export jobs and settings as XML
* Synchronization of files to backup with destination (filename and size checked)
* Wizard to import jobs and settings from XML
* Database dump can backup other MySQL databases
* Database dump can use `mysqldump` command on commend line
* Database dump can create XML files (phpMyAdmin schema)
* Use your own API keys for Dropbox and SugarSync
* Premium Support
* Automatic updates
